SBC Communications Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/sbc-communications-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/sbc-communications-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1739491200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://sbc-holdings.com/sbc-medical-group-holdings-announces-its-purchase-of-bitcoin/",
    "holding_balance": 66.0,
    "holding_net_change": 66.0,
    "transaction_value_usd": 6435482.46,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/sbc-communications-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    66.0
  ],
  [
    1782950400000,
    66.0
  ],
  [
    1783036800000,
    66.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/sbc-communications-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    3957660.3
  ],
  [
    1782950400000,
    4058196.78
  ],
  [
    1783036800000,
    4126715.34
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/sbc-communications-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 3.07,
    "date": "2026-06-30",
    "high": 3.15,
    "open": 3.13,
    "close": 3.08,
    "volume": 55700
  },
  {
    "low": 3.12,
    "date": "2026-07-01",
    "high": 3.192,
    "open": 3.12,
    "close": 3.17,
    "volume": 43900
  },
  {
    "low": 3.18,
    "date": "2026-07-02",
    "high": 3.3,
    "open": 3.21,
    "close": 3.25,
    "volume": 61800
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/sbc-communications-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.1175,
  "quarterly_earnings_growth": -0.471,
  "eps_estimate_current_quarter": 0.0975
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/sbc-communications-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 1.56,
  "six_month_return": -25.97,
  "three_month_return": -26.14
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/sbc-communications-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.2,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}